<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
<title>src/Discord.hs</title>
</head>
<head>
<link type='text/css' rel='stylesheet' href='liquid.css' />
</head>

<body>
<hr>
Put mouse over identifiers to see inferred types
<pre><span class=hs-linenum> 1: </span>
<span class=hs-linenum> 2: </span><span class='hs-comment'>{-# LANGUAGE OverloadedStrings #-}</span>
<span class=hs-linenum> 3: </span><span class='hs-keyword'>module</span> <span class='hs-conid'>Discord</span> <span class='hs-layout'>(</span><span class='hs-varid'>runDiscordBot</span><span class='hs-layout'>)</span> <span class='hs-keyword'>where</span>
<span class=hs-linenum> 4: </span>
<span class=hs-linenum> 5: </span><span class='hs-keyword'>import</span> <span class='hs-conid'>Prelude</span> <span class='hs-varid'>hiding</span> <span class='hs-layout'>(</span><span class='hs-varid'>unwords</span><span class='hs-layout'>)</span>
<span class=hs-linenum> 6: </span><span class='hs-keyword'>import</span> <span class='hs-conid'>Network.Discord</span> <span class='hs-varid'>hiding</span> <span class='hs-layout'>(</span><span class='hs-varid'>get</span><span class='hs-layout'>)</span>
<span class=hs-linenum> 7: </span><span class='hs-keyword'>import</span> <span class='hs-conid'>Data.Text</span> <span class='hs-layout'>(</span><span class='hs-varid'>isPrefixOf</span><span class='hs-layout'>,</span> <span class='hs-varid'>strip</span><span class='hs-layout'>,</span> <span class='hs-varid'>splitOn</span><span class='hs-layout'>,</span> <span class='hs-varid'>stripPrefix</span><span class='hs-layout'>)</span>
<span class=hs-linenum> 8: </span><span class='hs-keyword'>import</span> <span class='hs-conid'>Data.Maybe</span>
<span class=hs-linenum> 9: </span>
<span class=hs-linenum>10: </span><span class='hs-definition'>removePrefix</span> <span class='hs-varid'>prefix</span> <span class='hs-varid'>text</span> <span class='hs-keyglyph'>=</span> <span class='hs-varid'>fromMaybe</span> <span class='hs-varid'>text</span> <span class='hs-varop'>$</span> <span class='hs-varid'>stripPrefix</span> <span class='hs-varid'>prefix</span> <span class='hs-varid'>text</span>
<span class=hs-linenum>11: </span>
<span class=hs-linenum>12: </span><span class='hs-definition'>token</span> <span class='hs-keyglyph'>=</span> <span class='hs-str'>"NDc5Nzk5ODYyNzU0Mjc5NDI1.D3meVw.Xty3zrpoiMqefSbSPVfC79h1IJk"</span>
<span class=hs-linenum>13: </span>
<span class=hs-linenum>14: </span><span class='hs-definition'>runDiscordBot</span> <span class='hs-keyglyph'>=</span> <span class=hs-error><span class='hs-varid'>runBot</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-layout'>(</span></span><span class=hs-error><span class='hs-conid'>Bot</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-varid'>token</span></span><span class=hs-error><span class='hs-layout'>)</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-varop'>$</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-varid'>with</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-conid'>MessageCreateEvent</span></span> <span class='hs-varop'>$</span>
<span class=hs-linenum>15: </span>  <span class='hs-keyglyph'>\</span><span class='hs-sel'>_m</span><span class='hs-keyglyph'>@</span><span class='hs-conid'>Message</span><span class='hs-layout'>{</span><span class='hs-varid'>messageContent</span><span class=hs-error><span class='hs-keyglyph'>=</span></span><span class=hs-error><span class='hs-varid'>text</span></span><span class=hs-error><span class='hs-layout'>,</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-varid'>messageChannel</span></span><span class='hs-keyglyph'>=</span><span class='hs-varid'>channel</span><span class='hs-layout'>}</span> <span class='hs-keyglyph'>-&gt;</span> <span class='hs-keyword'>do</span>
<span class=hs-linenum>16: </span>    <span class='hs-keyword'>let</span> <span class='hs-varid'>args</span> <span class='hs-varid'>cmd</span><span class=hs-error> </span><span class=hs-error><span class='hs-keyglyph'>=</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-varid'>filter</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-layout'>(</span></span><span class=hs-error><span class='hs-varop'>/=</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-str'>""</span></span><span class=hs-error><span class='hs-layout'>)</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-varop'>.</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-varid'>splitOn</span></span> <span class='hs-str'>" "</span> <span class='hs-varop'>.</span> <span class='hs-varid'>strip</span> <span class='hs-varop'>$</span> <span class='hs-varid'>removePrefix</span> <span class='hs-varid'>cmd</span> <span class='hs-varid'>text</span>
<span class=hs-linenum>17: </span>    <span class='hs-keyword'>let</span> <span class='hs-varid'>command</span> <span class=hs-error><span class='hs-varid'>cmd</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-varid'>f</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-keyglyph'>=</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-varid'>when</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-layout'>(</span></span><span class=hs-error><span class='hs-varid'>cmd</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-varop'>`isPrefixOf`</span></span> <span class='hs-varid'>text</span><span class='hs-layout'>)</span> <span class='hs-varop'>$</span> <span class='hs-varid'>f</span> <span class='hs-varop'>$</span> <span class='hs-varid'>args</span> <span class='hs-varid'>cmd</span>
<span class=hs-linenum>18: </span>    <span class='hs-keyword'>let</span> <span class='hs-varid'>reply</span> <span class='hs-varid'>msg</span><span class=hs-error> </span><span class=hs-error><span class='hs-keyglyph'>=</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-varid'>fetch'</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-varop'>$</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-conid'>CreateMessage</span></span> <span class='hs-varid'>channel</span> <span class='hs-varid'>msg</span> <span class='hs-conid'>Nothing</span>
<span class=hs-linenum>19: </span>
<span class=hs-linenum>20: </span>    <span class='hs-varid'>reply</span> <span class='hs-varop'>$</span> <span class='hs-varid'>r</span> <span class='hs-varid'>text</span><span class=hs-error>
</span><span class=hs-linenum>21: </span>    <span class='hs-varid'>command</span> <span class='hs-str'>"!ping"</span><span class=hs-error> </span><span class=hs-error><span class='hs-layout'>(</span></span><span class=hs-error><span class='hs-keyglyph'>\</span></span><span class=hs-error><span class='hs-keyword'>_</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-keyglyph'>-&gt;</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-varid'>reply</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-str'>"yaaaaa"</span></span><span class=hs-error><span class='hs-layout'>)</span></span>
<span class=hs-linenum>22: </span>
<span class=hs-linenum>23: </span><span class='hs-definition'>r</span> <span class='hs-str'>"Hey"</span> <span class='hs-keyglyph'>=</span> <span class='hs-str'>"Hi"</span>
<span class=hs-linenum>24: </span><span class='hs-definition'>r</span> <span class='hs-str'>"Yo"</span> <span class='hs-keyglyph'>=</span> <span class='hs-str'>"Sup"</span>
<span class=hs-linenum>25: </span><span class='hs-definition'>r</span> <span class='hs-str'>"Kay"</span> <span class='hs-keyglyph'>=</span> <span class='hs-str'>"Shut up, dude."</span>
<span class=hs-linenum>26: </span><span class='hs-definition'>r</span> <span class='hs-str'>"Aight"</span> <span class='hs-keyglyph'>=</span> <span class='hs-str'>"yaated"</span>
<span class=hs-linenum>27: </span><span class='hs-definition'>r</span> <span class='hs-keyword'>_</span> <span class='hs-keyglyph'>=</span> <span class='hs-str'>""</span>
<span class=hs-linenum>28: </span>
<span class=hs-linenum>29: </span>
<span class=hs-linenum>30: </span><span class='hs-definition'>main</span> <span class='hs-keyglyph'>=</span> <span class='hs-keyword'>do</span>
<span class=hs-linenum>31: </span>  <span class=hs-error><span class='hs-varid'>putTest</span></span> <span class=hs-error><span class='hs-varid'>yeet</span></span>
</pre>
</body>
</html>